<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>

     <script type="text/javascript">
     	
       let letras=['T','R','W','A','G','M','Y','F','P','D','X','B','N','J','Z','S','Q','V','H','L','C','K','E','T'];
          let letrac="";
         let numero=0;
         let letra='';
         let r=0;
          numero=Number(prompt("Introducir numero"));
           letra=prompt("introducir letra");
          
           
             if(numero<0 !! numero>99999999) {               
                       
             document.write("el numero proporcionado no es valido y el programa no muestra mas mensajes")
           }else {
           	
            	r=numero%23;
	            letrac=letras[r];

           if(letra==letrac) {
             	document.write(" ambos  son correctos");

	} else {
	           document.write('la letra indicada no es correcta');
	}

}

           
  </script>


</head>
   


<body>
	
</body>
</html>

